Format des fichiers de configuration
==========
___________________

## config.yml
Ce fichier est au format YAML, et sa lecture est déjà géré par l'API Bukkit.

___________________

## worldborder.txt
Ce fichier est au format texte. Chaque ligne correspond au paramètre de bordure pour un monde donné. Voici un format exemple que doit prendre une ligne :

    WorldName 14 134.5 2000

- `WorldName` correspond au nom du monde que vous voulez configurer
- `14` et `134.5` correspondent aux coordonnées x et z du centre du carré de bordure
- `2000` correspond à la distance de chaque bordure par rapport aux coordonnées indiquées

Les lignes vides et les lignes dont le premier caractère est un `#` seront ignorés. Les caractères non imprimables en début et fin de lignes seront supprimés avant analyse.

___________________

## badwords.txt
Ce fichier est au format texte. Chaque ligne est une expression régulière correspondant à un élément censuré.

Les lignes vides seront ignorés (ou ne contenant que des caractères non imprimable). Lescaractères non imprimables en début et fin de ligne sont conservés

___________________

## automessages
Chaque messages automatiques se trouve dans un fichier se trouvant dans le sous-dossier. L'ordre est défini selon la numérotation des fichiers. Les fichiers sont nommés selon ce format :

    X.txt

Où `X` est un nombre entier positif ou nul. Le nombre ne peut pas avoir de 0 initial (par exemple, `0014` n'est pas valide, préférez plutôt `14`)

La première ligne du fichier représente les noeux de permissions correspondant au message automatique, sachant qu'un joueur doit avoir un moins une de ces permissions pour voir le message. Les permissions sont séparés par des `;`. Si le message automatique s'applique à tous les joueurs, on peut utiliser `*`.

Le reste du fichier correspond au message automatique, avec les codes couleurs de la forme `&X`.

___________________

## commandalias
Chaque alias se trouve dans un fichier se trouvant dans le sous-dossier.
le nom du fichier importe peu.

La structure d'un fichier se présente comme ce qui suit.
En première ligne, on a la commande d'origine (celle tapée par le joueur) avec le `/` devant.
La deuxième ligne est la commande de remplacement, toujours avec le `/` devant.
La troisième ligne correspond aux permissions associés à cet alias, séparé par des `;`. Le joueur doit avoir au moins une de ces permissions pour que l'alias s'applique. Si l'alias s'applique à tous les joueurs, on peut utiliser `*`.
